This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 838172 - Please build python3-pymongo
Please build python3-pymongo
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pymongo (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Silas Sewell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 784947
  Show dependency treegraph
 
Reported: 2012-07-06 18:23 EDT by Thomas Spura
Modified: 2012-12-01 23:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-01 23:23:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2012-07-06 18:23:31 EDT
Description of problem:
python3-pymongo is supported upstream, but currently disabled in the spec file

Version-Release number of selected component (if applicable):
2.2 supports python3, but current is 2.2.1


Expected results:
python3-pymongo should be there :)

It seems to work fine over here:
~/rpmbuild/BUILD/pymongo-2.2.1/test ~/rpmbuild/BUILD/pymongo-2.2.1
+ truncate --size=0 __init__.py
+ nosetests '--exclude=(^test_binary$|^test_collection$|^test_common$|^test_connection$|^test_cursor$|^test_database$|^test_grid_file$|^test_gridfs$|^test_master_slave_connection$|^test_paired$|^test_pooling$|^test_pymongo$|^test_replica_set_connection$|^test_son_manipulator$|^test_threads$|^test_threads_replica_set_connection$)'
..............................................................SSSSSSSSSSSSSSSSSSSSSSSS.....SS............
----------------------------------------------------------------------
Ran 105 tests in 0.338s

OK (SKIP=26)
+ popd
~/rpmbuild/BUILD/pymongo-2.2.1
+ pushd /home/tomspur/rpmbuild/BUILD/python3-pymongo-2.2.1-1.fc16/test
~/rpmbuild/BUILD/python3-pymongo-2.2.1-1.fc16/test ~/rpmbuild/BUILD/pymongo-2.2.1
+ truncate --size=0 __init__.py
+ nosetests-3.2 '--exclude=(^test_binary$|^test_collection$|^test_common$|^test_connection$|^test_cursor$|^test_database$|^test_grid_file$|^test_gridfs$|^test_master_slave_connection$|^test_paired$|^test_pooling$|^test_pymongo$|^test_replica_set_connection$|^test_son_manipulator$|^test_threads$|^test_threads_replica_set_connection$)'
...................S..........................................SSSSSSSSSSSSSSSSSSSSSSSS.....SS............
----------------------------------------------------------------------
Ran 105 tests in 0.697s

OK (SKIP=27)

Note, that the *.so libraries have changed a bit in python3:
/usr/lib64/python2.7/site-packages/pymongo/_cmessage.so
/usr/lib64/python3.2/site-packages/pymongo/_cmessage.cpython-32mu.so

This is needed for python3-ipython.
Comment 1 Andrew McNabb 2012-11-26 15:34:01 EST
I have made some changes to the spec to update to pymongo 2.3 and to add support for Python 3:

spec file: http://aml.cs.byu.edu/~amcnabb/pymongo.spec
SRPM: http://aml.cs.byu.edu/~amcnabb/pymongo-2.3-1.fc17.src.rpm
diff: http://aml.cs.byu.edu/~amcnabb/pymongo.spec.diff

Since the package should be renamed to python-pymongo anyway, it might make sense to submit these in conjunction with a new package request.
Comment 2 Andrew McNabb 2012-11-26 16:18:51 EST
I have submitted a review request, bug #880387, for a renamed package that includes Python 3 support.
Comment 3 Fedora Update System 2012-11-27 16:27:24 EST
python-pymongo-2.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pymongo-2.3-3.fc18
Comment 4 Fedora Update System 2012-11-27 21:07:52 EST
python-pymongo-2.3-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 5 Fedora Update System 2012-11-27 21:50:06 EST
python-pymongo-2.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pymongo-2.3-4.fc18
Comment 6 Fedora Update System 2012-12-01 23:23:52 EST
python-pymongo-2.3-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.